Skip to main content

Folders

Create a folder​

To create a folder, you need to send an HTTP POST request to the API Endpoint, along with the authentication Header.

https://app.tpstreams.com/api/v1/<organization_id>/assets/folders/

Fields

NameTypeDescriptionRequired
titlestringThe name of the folderYes
parentstringThe UUID of the parent folder, if you want to create the folder as a childNo

Sample request body

{
"title": "CAT videos",
"parent": "32seYYHeNxE"
}

For valid requests the API server returns a JSON:

{
"title": "CAT videos",
"uuid": "46seZZHAnWE", // folder id
}

Get all the Folders that belong to the organization​

To get all folders in the organization, you need to send an HTTP GET request to the API Endpoint, with the authentication Header.

https://app.tpstreams.com/api/v1/<organization_id>/assets/folders/

You can get all folders that match your search query using the q parameter:

GET https://app.tpstreams.com/api/v1/<organization_id>/assets/folders/?q=test

For valid requests the API server returns a JSON:

{
"count": 3,
"next": null,
"previous": null,
"results": [
{
"title": "Testing videos",
"uuid": "6bBcXxu5cAM"
},
{
"title": "OnBorading test",
"uuid": "BmN3MXSq5z6"
},
{
"title": "test",
"uuid": "nD8K9nJ3Bsm"
},
]
}